drop unnecessary files

parent 22cc445d
variables:
TARBALL_ARTIFACT_PATH: ".flatpak-builder/build/${FLATPAK_MODULE}/_flatpak_build/meson-dist/${CI_PROJECT_NAME}-${CI_COMMIT_TAG}.tar.xz"
FLATPAK_MODULE: "gnome-tour"
include:
- project: "gnome/citemplates"
file: "flatpak/flatpak_ci_initiative.yml"
- component: gitlab.gnome.org/GNOME/citemplates/release-service@master
inputs:
dist-job-name: "flatpak"
tarball-artifact-path: "${TARBALL_ARTIFACT_PATH}"
flatpak:
variables:
BUNDLE: "org.gnome.TourDevel.flatpak"
MANIFEST_PATH: "build-aux/org.gnome.TourDevel.json"
APP_ID: "org.gnome.TourDevel"
RUNTIME_REPO: "https://nightly.gnome.org/gnome-nightly.flatpakrepo"
extends: ".flatpak"
nightly:
extends: ".publish_nightly"
dependencies: ["flatpak"]
needs: ["flatpak"]
# Configure and run rustfmt
# Exits and builds fails if on bad format
rustfmt:
image: "rust:slim"
script:
- rustup component add rustfmt
# Create blank versions of our configured files
# so rustfmt does not yell about non-existent files or completely empty files
- echo -e "" >> src/config.rs
- rustc -Vv && cargo -Vv
- cargo fmt --version
- cargo fmt --all -- --color=always --check
gnome-tour 47.0
===============
* Translations updates
gnome-tour 46.0
===============
* Translations updates
gnome-tour 46.rc
================
* String improvements
* Translations updates
gnome-tour 43.0
===================
* Translations updates
gnome-tour 43.beta
===================
* Translations updates
gnome-tour 42.0
===================
* Translations updates
gnome-tour 42.beta
===================
* Port to GTK4 / libadwaita
* Drop the video feature
* i18n fixes and translations updates
gnome-tour 41.rc
===================
* content: add back workspaces slide
* Add assets for GNOME 41 (#41, #42, #45)
* desktop: Add categories
* Translations updates
gnome-tour 40.0
===================
* Adapt the pages for GNOME Shell changes
* Translations updates
gnome-tour 3.37.91
===================
* First release of GNOME Tour & Greater
#!/bin/sh
# Since Meson invokes this script as
# "/bin/sh .../dist-vendor.sh DIST SOURCE_ROOT" we can't rely on bash features
set -eu
export DIST="$1"
export SOURCE_ROOT="$2"
cd "$SOURCE_ROOT"
mkdir "$DIST"/.cargo
# cargo-vendor-filterer can be found at https://github.com/coreos/cargo-vendor-filterer
# It is also part of the Rust SDK extension.
cargo vendor-filterer --platform=x86_64-unknown-linux-gnu --platform=aarch64-unknown-linux-gnu > "$DIST"/.cargo/config
rm -f vendor/gettext-sys/gettext-*.tar.*
# remove the tarball from checksums
echo $(jq -c 'del(.files["gettext-0.21.tar.xz"])' vendor/gettext-sys/.cargo-checksum.json) > vendor/gettext-sys/.cargo-checksum.json
# Don't combine the previous and this line with a pipe because we can't catch
# errors with "set -o pipefail"
sed -i 's/^directory = ".*"/directory = "vendor"/g' "$DIST/.cargo/config"
# Move vendor into dist tarball directory
mv vendor "$DIST"
{
"id": "org.gnome.TourDevel",
"runtime": "org.gnome.Platform",
"runtime-version": "master",
"sdk": "org.gnome.Sdk",
"sdk-extensions": [
"org.freedesktop.Sdk.Extension.rust-stable"
],
"command": "gnome-tour",
"finish-args": [
"--share=ipc",
"--socket=fallback-x11",
"--socket=wayland",
"--device=dri",
"--env=RUST_LOG=gnome_tour=debug"
],
"build-options": {
"append-path": "/usr/lib/sdk/rust-stable/bin",
"build-args": [
"--share=network"
]
},
"modules": [
{
"name": "gnome-tour",
"buildsystem": "meson",
"config-opts": [
"-Dprofile=development"
],
"sources": [
{
"type": "git",
"url": "https://gitlab.gnome.org/GNOME/gnome-tour.git"
}
]
}
]
}
<?xml version="1.0" encoding="UTF-8"?>
<Project
xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
xmlns:foaf="http://xmlns.com/foaf/0.1/"
xmlns:gnome="http://api.gnome.org/doap-extensions#"
xmlns="http://usefulinc.com/ns/doap#">
<name xml:lang="en">GNOME Tour</name>
<shortdesc xml:lang="en">
GNOME Tour and Greeter
</shortdesc>
<description>
A guided tour and greeter for GNOME
</description>
<bug-database rdf:resource="https://gitlab.gnome.org/GNOME/gnome-tour/issues/" />
<category rdf:resource="http://api.gnome.org/doap-extensions#apps" />
<programming-language>Rust</programming-language>
<maintainer>
<foaf:Person>
<foaf:name>Bilal Elmoussaoui</foaf:name>
<foaf:mbox rdf:resource="mailto:bilal.elmoussaoui@gnome.org" />
<gnome:userid>bilelmoussaoui</gnome:userid>
</foaf:Person>
</maintainer>
</Project>
#!/bin/sh
# Source: https://gitlab.gnome.org/GNOME/fractal/blob/master/hooks/pre-commit.hook
if ! which rustup &> /dev/null; then
curl https://sh.rustup.rs -sSf | sh -s -- -y
export PATH=$PATH:$HOME/.cargo/bin
if ! which rustup &> /dev/null; then
echo "Failed to install rustup"
fi
fi
if ! rustup component list|grep rustfmt &> /dev/null; then
echo "Installing rustfmt.."
rustup component add rustfmt
fi
echo "--Checking style--"
cargo fmt --all -- --check
if test $? != 0; then
echo "--Checking style fail--"
echo "Please fix the above issues, either manually or by running: cargo fmt --all"
exit -1
else
echo "--Checking style pass--"
fi
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment